package dto;

/*Un ingrédient est caractérisé par 
- un identifiant id de type int 
- un name de stype String et  */

public class Ingredient {
    private int id;
    private String name;
    private Double price;

    public Ingredient() {
    }

    public Ingredient(int id, String name, Double price) {
        this.id = id;
        this.name = name;
        this.price = price;       
    }

    public Ingredient(int id) {
        this.id = id;
        this.name = null;
        this.price = null;
    }

    public int getId() {
        return id;
    }

    public String getName() {
        return name;
    }

    public void setId(int id) {
        this.id = id;
    }

    public void setName(String name) {
        this.name = name;
    }
    public Double getPrice() {
        return price;
    }

    public void setPrice(Double price) {
        this.price = price;
    }

    @Override
    public String toString() {
        return "Ingredient [id=" + id + ", name=" + name + ", price=" + price + "]";
    }
    
    
}
