package dto;

import java.util.Date;
import java.util.List;
import java.util.ArrayList;

public class CommandeDetail extends Commande{
       
    private List<PizzaCompo> pizzas = new ArrayList<PizzaCompo>() {
        
    };

    public CommandeDetail() {
        super();
    }

    public CommandeDetail(int id, String nom, Date date, List<PizzaCompo> pizzas) {
        super(id, nom, date);
        this.pizzas = pizzas;
    }

    public CommandeDetail(int id,String nom, Date date) {
        super(id, nom, date);
        this.pizzas = new ArrayList<PizzaCompo>();  
    }
    

    public void addPizza(PizzaCompo pizza) {
        this.pizzas.add(pizza);
    }

    public void removePizza(PizzaCompo pizza) {
        this.pizzas.remove(pizza);
    }

    public List<PizzaCompo> getPizzas() {
        return pizzas;
    }
}

